function [ScatteredField] = Solve_System_Schurcomplement(A,B,F,mesh,alpha)

alpha_number = length(alpha.nodes);
alpha_nodes  = alpha.nodes;
alpha_weights= alpha.weights;

mesh_points_x = mesh.points(1,:);

RHS = cell(1,alpha_number);
L=cell(1,alpha_number);
U=cell(1,alpha_number);

parfor j = 1:alpha_number
    RHS{j} = A{j}\F{j};
    RHS{j} = alpha_weights(j) .* exp(1i * alpha_nodes(j) * mesh_points_x).'.* RHS{j};
     %[L{j},U{j}]=ilu(A{j}); 
end

TotalRHS =zeros(length(RHS{1}),1);

for l = 1:alpha_number
    TotalRHS = TotalRHS + RHS{l};
end


LHS = @(x) LeftHandSide(x,A,B,L,U,alpha_nodes,alpha_weights,mesh_points_x);
[ScatteredField,flag,~,iteration]= gmres(LHS, TotalRHS,[],10^(-5),300);
flag
iteration
end

